// EEPROM Programmer
// Chris Ward, 1998-2000

// misc.h
//  - File load and save functions
//  - Utility functions


#ifndef MISC_H
#define MISC_H

bool loadbin(char *filename, unsigned char *buf, unsigned long size);
bool loadhex(char *filename, unsigned char *buf, unsigned long size, unsigned long base);
bool savebin(char *filename, unsigned char *buf, unsigned long size);
bool savehex(char *filename, unsigned char *buf, unsigned long size, unsigned long base);
void setbit(unsigned long& num, int bit, bool state);
bool testbit(unsigned long num, int bit);
int hextodec(char dig2, char dig1);

#endif
